module.exports = {
  purge: {
    enabled: process.env.NODE_ENV === 'development' ? false : true,
    mode: 'layers',
    content: [
      './templates/**/*.html.twig',
      '../../modules/custom/**/*.html.twig',
      '../../modules/custom/**/*.js',
      './assets/js/**/*.js',
      './src/**/*.html',
      './src/**/*.js',
    ]
  },
  darkMode: false,
  theme: {
    colors: {
      'body': "#1E1E1E",
      'primary': "#004494",
      'secondary': "#CCC",
      'white': '#FFF',
    },
    borderRadius: {
      'none': '0',
      'small': '4px',
      'full': '9999px',
    },
    extend: {
      boxShadow: {
        'card': '0px 0px 12px 0px rgba(128, 122, 122, 0.2)',
      },
      maxWidth: {
        'modal': '1030px',
      },
      maxHeight: {
        'modal': '85vh',
      },
      borderColor: () => ({
        'primary': '#EBF2FA',
      }),
      backgroundColor: () => ({
        'page': '#FFF',
        'primary': '#004494',
        'primary-variant': '#1261BD',
        'primary-hover': 'rgba(235, 242, 250, 0.15)',
        'secondary': '#FF8E4D',
        'gray-1': '#0A0C0D',
        'gray-2': '#475059',
        'gray-3': '#7289A3',
        'gray-4': '#EBF2FA',
        'gray-5': '#FAFBFC',
        'mask': '#000',
      })
    },
  },
}
